Skip to content

project/users ​

Lists users linked to a project.

Method and path ​

GET /project/users/{project_id}

Authentication ​

Authentication is required. See Authentication.

Permissions ​

Accessible to tier 1 and 2 users.

Request headers ​

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.

Path parameters ​

ParameterTypeRequiredDescription
project_idintegeryesProject identifier.

Example request ​

bash
curl "$SIGNAL_API_BASE_URL/project/users/<project_id>" \
  -H "X-Api-Key: $SIGNAL_API_KEY"

Example response ​

json
{
  "data": [
    {
      "userid": 987,
      "tier": 3,
      "email": "user@example.com",
      "user_full_name": "Example User",
      "last_login": "2026-01-10 09:30:00",
      "last_password_change": "2026-01-01 10:00:00",
      "active": 1
    }
  ]
}

Response fields ​

FieldTypeDescription
dataarray<object>User collection linked to the project.

User object fields ​

FieldTypeDescription
useridintegerUser identifier.
tierintegerUser tier.
emailstringnull
user_full_namestringnull
last_loginstringnull
last_password_changestringnull
activeintegerboolean

Notes ​

  • When no users are linked, the endpoint returns {"data": []}.

Doc rev.1.12.3 2026.05.08